package com.yixin.ms.boot.config;

import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.http.client.SimpleClientHttpRequestFactory;
import org.springframework.web.client.RestTemplate;

/**
 * web环境配置
 */
@Slf4j
@Configuration
public class WebConfig {
    @Bean
    public RestTemplate restTemplate(){
        SimpleClientHttpRequestFactory factory = new SimpleClientHttpRequestFactory();
        //连接超时
        factory.setConnectTimeout(100);
        //连接成功后等待返回的超时
        factory.setReadTimeout(2000);
        RestTemplate restTemplate = new RestTemplate(factory);
        return restTemplate;
    }
}
