package com.yixin.ms.model.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author: lileilei
 * @date: 2022/6/23 16:25
 * @description:
 */
@Getter
@AllArgsConstructor
public enum HealthCodeLevelEnum {
    RED("red", "红码"),
    YELLOW("yellow", "黄码"),
    GREEN("green", "绿码"),
    PURPLE("purple", "橙码"),
    ORANGE("orange", "橙码");

    /**
     * 健康码状态: red-红色、yellow-黄色、green-绿色、purple-橙码
     */

    private String code;

    private String desc;

    public static HealthCodeLevelEnum codeOf(String code) {
        for (HealthCodeLevelEnum levelEnum : values()) {
            if(levelEnum.getCode().equals(code)){
                return levelEnum;
            }
        }

        return HealthCodeLevelEnum.GREEN;
    }
}
