package com.yixin.ms.server;

import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson.JSON;
import com.yixin.ms.server.dto.ScenicConsumeDTO;
import com.yixin.ms.server.dto.ScenicVerifyDTO;
import com.yixin.ms.server.vo.ScenicConsumeVO;
import com.yixin.ms.server.vo.ScenicVerifyVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * @author: lileilei
 * @date: 2022/8/3 17:37
 * @description: 皋亭山景区预约服务
 */
@Slf4j
@Component
public class ScenicServer {
    @Value("${scenic.verifyUrl}")
    private String verifyUrl;

    @Value("${scenic.queryUrl}")
    private String queryUrl;

    @Value("${scenic.consumeUrl}")
    private String consumeUrl;

    /**
     * 根据预约码或者身份证查询是否预约
     * @param dto
     * @return
     */
    public ScenicVerifyVO verify(ScenicVerifyDTO dto) {
        ScenicVerifyVO verifyVO = JSON.parseObject(HttpUtil.post(verifyUrl, JSON.toJSONString(dto)), ScenicVerifyVO.class);
        return verifyVO;
    }

    /**
     * 游客放行推送
     * @param dto
     * @return
     */
    public ScenicConsumeVO consume(ScenicConsumeDTO dto){
        String body = HttpUtil.post(consumeUrl, JSON.toJSONString(dto));
        log.info("游客放行入参信息：{}, 推送响应内容：{}", JSON.toJSONString(dto), body);
        return JSON.parseObject(HttpUtil.post(consumeUrl, JSON.toJSONString(dto)), ScenicConsumeVO.class);
    }
}
