package com.yixin.ms.server.vo;

import com.yixin.ms.server.dto.AntitoxinTestDTO;
import com.yixin.ms.server.dto.NucleicTestDTO;
import com.yixin.ms.server.dto.VaccinateDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author: lileilei
 * @date: 2022/8/17 15:04
 * @description:
 */
@Data
@Accessors(chain = true)
public class GzhHealthVO {
    @ApiModelProperty("手机号, 或身份证号, 护照, 返乡证等")
    private String phone;

    @ApiModelProperty("颜色: red-红色, orange-橙色, green-绿色")
    private String color;

    @ApiModelProperty("原因")
    private String reason;

    @ApiModelProperty("来源地, 数据来自于国家政务服务平台时为让健康码变色的省份, 境外人员时为来源国家, 涉鄂人员来源湖北省")
    private String from;

    @ApiModelProperty("核酸检测情况")
    private List<NucleicTestDTO> nucleicTest;

    @ApiModelProperty("抗体检测情况")
    private List<AntitoxinTestDTO> antitoxinTest;

    @ApiModelProperty("疫苗注射情况")
    private List<VaccinateDTO> vaccinate;

}
